libnvme(2)

NAME
struct nvme_primary_ctrl_cap - Identify - Controller Capabilities Structure

SYNOPSIS
struct nvme_primary_ctrl_cap {
__le16 cntlid;
__le16 portid;
__u8 crt;
__u8 rsvd5[27];
__le32 vqfrt;
__le32 vqrfa;
__le16 vqrfap;
__le16 vqprt;
__le16 vqfrsm;
__le16 vqgran;
__u8 rsvd48[16];
__le32 vifrt;
__le32 virfa;
__le16 virfap;
__le16 viprt;
__le16 vifrsm;
__le16 vigran;
__u8 rsvd80[4016];
};

Members

cntlid
    Controller Identifier

portid
    Port Identifier

crt Controller Resource Types

rsvd5
    reserved

vqfrt
    VQ Resources Flexible Total

vqrfa
    VQ Resources Flexible Assigned

vqrfap
    VQ Resources Flexible Allocated to Primary

vqprt
    VQ Resources Private Total

vqfrsm
    VQ Resources Flexible Secondary Maximum

vqgran
    VQ Flexible Resource Preferred Granularity

rsvd48
    reserved

vifrt
    VI Resources Flexible Total

virfa
    VI Resources Flexible Assigned

virfap
    VI Resources Flexible Allocated to Primary

viprt
    VI Resources Private Total

vifrsm
    VI Resources Flexible Secondary Maximum

vigran
    VI Flexible Resource Preferred Granularity

rsvd80
    reserved